#!/usr/bin/php -q
<?php

function quit()
{
	pg_close();
	closelog();
	exit;
}

function db_connect($dbname, $dbuser)
{
	$res = pg_connect("dbname=$dbname user=$dbuser");
	if (!$res)
	{
		syslog(LOG_ERR, "Error connecting to database. User - $dbuser, database - $dbname");
		quit();
	}
}

function db_query($query)
{
	$res = pg_query($query);
	if (!$res)
	{
		syslog(LOG_ERR, "Error executing query: $query");
		quit();
	}

	return $res;
}

openlog("op5 cleanup", LOG_NDELAY | LOG_PID | LOG_CONS, LOG_USER);

db_connect('op5lsu', 'op5lsu');

$result = db_query("SELECT tables_registry.name FROM tables_registry, settings"
	. " WHERE (location & get_location_mask('database'))::integer != 0"
	. " AND date + (keep_in_db || ' hours')::interval < current_timestamp");

$num = pg_num_rows($result);
for ( $i = 0; $i < $num; $i++ )
{
	$row = pg_fetch_row($result, $i);
	db_query("SELECT drop_table_function( '{$row[0]}' )");
}

quit();

?>
