#!/bin/bash
function abort {
	echo "$1"
	exit 1
}

paths="$(psql -U op5lsu op5lsu -t -c "SELECT local_storage_path, remote_storage_path from settings;")"
if [ $? -ne 0 ]; then
	abort "Can't get your local/remote storage"
fi
localpath=$(echo "$paths" | cut -d ' ' -f 2)
remotepath=$(echo "$paths" | cut -d ' ' -f 4)

if [ -z "$paths" ]; then
	abort "Can't figure out your local/remote paths"
fi

for subdir in $localpath $remotepath; do
	if [ -e $subdir ]; then
		find $subdir -type d -exec chmod 751 {} \;
	fi
done
